Package org.wso2.carbon.rest.api

## Class APIData

- java.lang.Object
- - org.wso2.carbon.rest.api.APIData

-     public class APIData
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `APIData()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `String` | `getArtifactContainerName()` | Get the artifactContainer of the endpoint which deployed from
    `String` | `getContext()` |
    `String` | `getFileName()` |
    `String` | `getHost()` |
    `boolean` | `getIsEdited()` | Get the edit state of the endpoint
    `String` | `getName()` |
    `int` | `getPort()` |
    `ResourceData[]` | `getResources()` |
    `boolean` | `getStatisticsEnable()` |
    `String` | `getSwaggerDefKey()` | Function to set Swagger definition path
    `boolean` | `getTracingEnable()` |
    `String` | `getVersion()` |
    `String` | `getVersionType()` |
    `void` | `setArtifactContainerName​(String artifactContainerName)` | Set the endpoint artifact container name as a metadata
    `void` | `setContext​(String context)` |
    `void` | `setFileName​(String fileName)` |
    `void` | `setHost​(String host)` |
    `void` | `setIsEdited​(boolean isEdited)` | Set the edit state of the endpoint as a metadata
    `void` | `setName​(String name)` |
    `void` | `setPort​(int port)` |
    `void` | `setResources​(ResourceData[] resources)` |
    `void` | `setStatisticsEnable​(boolean enableStatistics)` |
    `void` | `setSwaggerDefKey​(String swaggerDefKey)` | Function to set Swagger definition path
    `void` | `setTracingEnable​(boolean tracingEnable)` |
    `void` | `setVersion​(String version)` | Set the given version as the API version
    `void` | `setVersionType​(String versionType)` | Set the given version type for the API

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### APIData

          public APIData()

  - ### Method Detail

    - #### getName

          public String getName()

    - #### setName

          public void setName​(String name)

    - #### getHost

          public String getHost()

    - #### setHost

          public void setHost​(String host)

    - #### getPort

          public int getPort()

    - #### setPort

          public void setPort​(int port)

    - #### getContext

          public String getContext()

    - #### setContext

          public void setContext​(String context)

    - #### getResources

          public ResourceData[] getResources()

    - #### setResources

          public void setResources​(ResourceData[] resources)

    - #### getFileName

          public String getFileName()

    - #### setFileName

          public void setFileName​(String fileName)

    - #### getArtifactContainerName

          public String getArtifactContainerName()

      Get the artifactContainer of the endpoint which deployed from
      Returns:
        endpoint description

    - #### setArtifactContainerName

          public void setArtifactContainerName​(String artifactContainerName)

      Set the endpoint artifact container name as a metadata
      Parameters:
        `artifactContainerName` - endpoint name

    - #### getIsEdited

          public boolean getIsEdited()

      Get the edit state of the endpoint
      Returns:
        endpoint description

    - #### setIsEdited

          public void setIsEdited​(boolean isEdited)

      Set the edit state of the endpoint as a metadata
      Parameters:
        `isEdited` - endpoint name

    - #### setStatisticsEnable

          public void setStatisticsEnable​(boolean enableStatistics)

    - #### getStatisticsEnable

          public boolean getStatisticsEnable()

    - #### getTracingEnable

          public boolean getTracingEnable()

    - #### setTracingEnable

          public void setTracingEnable​(boolean tracingEnable)

    - #### getVersion

          public String getVersion()

    - #### setVersion

          public void setVersion​(String version)

      Set the given version as the API version
      Parameters:
        `version` -

    - #### getVersionType

          public String getVersionType()

    - #### setVersionType

          public void setVersionType​(String versionType)

      Set the given version type for the API
      Parameters:
        `versionType` -

    - #### getSwaggerDefKey

          public String getSwaggerDefKey()

      Function to set Swagger definition path
      Returns:

    - #### setSwaggerDefKey

          public void setSwaggerDefKey​(String swaggerDefKey)

      Function to set Swagger definition path
      Parameters:
        `swaggerDefKey` -